package com.priusis.client.extensions.http;

import com.priusis.client.extensions.ExtensionService;
import com.priusis.client.service.MqttRpcDataMessage;

import java.io.File;
import java.io.IOException;

public interface HttpService extends ExtensionService {

    void processRequest(String token, String body) throws Exception;

    void processEventRequest(String token, String body) throws Exception;

    File flushRpcDataToFile(MqttRpcDataMessage mqttRpcDataMessage) throws IOException;

    MqttRpcDataMessage readFromFile(String method) throws IOException;
}
